## Upgrade Process ##

One of our objectives is to make upgrading from an earlier release as painless as possible, and we provide scripts that should bring your existing Eventum installation up-to-date.

IMPORTANT
---------

When upgrading to a new version of Eventum, please follow these instructions:

1.  Backup your copy of Eventum - files and data.
2.  Extract your new Eventum copy over your existing folder structure
3.  Run the upgrade scripts described in each section below by opening these scripts in your web browser

Upgrading from version 2.1.1 to 2.2
-----------------------------------

For the upgrade from release 2.1.1, there are 2 scripts you need to run. For convenience, an index file is provided to list the scripts. Open /path-to-eventum/misc/upgrade/v2.1.1_to_v2.2/ in a web browser and run the scripts in the order provided.

You need config/\* files from older version before you can run the update.

Upgrading from version 2.1 to 2.1.1
-----------------------------------

For the upgrade from release 2.1, there is one script you need to run. For convenience, an index file is provided to list the scripts. Open /path-to-eventum/misc/upgrade/v2.1_to_v2.1.1/ in a web browser and run the scripts in the order provided.

You need config/\* files from older version before you can run the update.

Upgrading from version 2.0 and 2.0.1 to 2.1
-------------------------------------------

For the upgrade from release 2.0 and 2.0.1, there are 2 scripts you need to run. For convenience, an index file is provided to list the scripts. Open /path-to-eventum/misc/upgrade/v2.0_to_v2.1/ in a web browser and run the scripts in the order provided.

You need config/\* files from older version before you can run the update.

Upgrading from version 2.0-beta to 2.0
--------------------------------------

For the upgrade from release 2.0-beta and 2.0, there are 2 scripts you need to run. For convenience, an index file is provided to list the scripts. Open /path-to-eventum/misc/upgrade/v2.0-beta_to_v2.0/ in a web browser and run the scripts in the order provided.

Upgrading from version 1.7.1 to 2.0
-----------------------------------

For the upgrade from release 1.7.1 to 2.0, there are 2 scripts you need to run. For convenience, an index file is provided to list the scripts. Open /path-to-eventum/misc/upgrade/v1.7.1_to_v2.0/ in a web browser and run the scripts in the order provided. If you had the IRC bot configured you will have to copy your old config from misc/irc/bot.php to config/irc_config.php. An example config file is located in setup/irc_config.php

Upgrading from version 1.7.0 to 1.7.1
-------------------------------------

For the upgrade from release 1.7.0 to 1.7.1, there are 2 scripts you need to run. For convenience, an index file is provided to list the scripts. Open /path-to-eventum/misc/upgrade/v1.7.0_to_v1.7.1/ in a web browser and run the scripts in the order provided.

Upgrading from version 1.6.1 to 1.7.0
-------------------------------------

For the upgrade from release 1.6.1 to 1.7.0, there are 4 scripts you need to run. For convenience, an index file is provided to list the scripts. Open /path-to-eventum/misc/upgrade/v1.6.1_to_v1.7.0/ in a web browser and run the scripts in the order provided.

Upgrading from version 1.6.0 to 1.6.1
-------------------------------------

For the upgrade from release 1.6.0 to 1.6.1, there are 3 scripts you need to run. For convenience, an index file is provided to list the scripts. Open /path-to-eventum/misc/upgrade/v1.6.0_to_v1.6.1/ in a web browser and run the scripts in the order provided.

Upgrading from version 1.5.5 to 1.6.0
-------------------------------------

For the upgrade from release 1.5.5 to 1.6.0, there are 4 scripts you need to run. For convenience, an index file is provided to list the scripts. Open /path-to-eventum/misc/upgrade/v1.5.5_to_v1.6.0/ in a web browser and run the scripts in the order provided.

Upgrading from version 1.5.4 to 1.5.5
-------------------------------------

For the upgrade from release 1.5.4 to 1.5.5, there are 3 scripts you need to run. For convenience, an index file is provided to list the scripts. Open /path-to-eventum/misc/upgrade/v1.5.4_to_v1.5.5/ in a web browser and run the scripts in the order provided.

Upgrading from version 1.5.3 to 1.5.4
-------------------------------------

For the upgrade from release 1.5.3 to 1.5.4, there are 3 scripts you need to run. For convenience, an index file is provided to list the scripts. Open /path-to-eventum/misc/upgrade/v1.5.3_to_v1.5.4/ in a web browser and run the scripts in the order provided.

Upgrading from version 1.5.2 to 1.5.3
-------------------------------------

For the upgrade from release 1.5.2 to 1.5.3, there are 3 scripts you need to run. For convenience, an index file is provided to list the scripts. Open /path-to-eventum/misc/upgrade/v1.5.2_to_v1.5.3/ in a web browser and run the scripts in the order provided.

Upgrading from version 1.5.1 to 1.5.2
-------------------------------------

For the upgrade from release 1.5.1 to 1.5.2, there are 4 scripts you need to run. For convenience, an index file is provided to list the scripts. Open /path-to-eventum/misc/upgrade/v1.5.1_to_v1.5.2/ in a web browser and run the scripts in the order provided.

Upgrading from version 1.5 to 1.5.1
-----------------------------------

For the upgrade from release 1.5 to 1.5.1, there's one script in the following directory that will upgrade your database schema:

`/path-to-eventum/misc/upgrade/v1.5_to_v1.5.1/database_changes.php`

Upgrading from version 1.4 to 1.5
---------------------------------

For the upgrade from release 1.4 to 1.5, there are 3 scripts you need to run. For convenience, an index file is provided to list the scripts. Open /path-to-eventum/misc/upgrade/v1.4_to_v1.5/ in a web browser and run the scripts in the order provided.

Upgrading from version 1.3.1 to 1.4
-----------------------------------

For the upgrade from release 1.3.1 to 1.4, there are 4 scripts you need to run. For convenience, an index file is provided to list the scripts. Open /path-to-eventum/misc/upgrade/v1.3.1_to_v1.4/ in a web browser and run the scripts in order.

Upgrading from version 1.3 to 1.3.1
-----------------------------------

For the upgrade from release 1.3 to 1.3.1, there's one script in the following directory that will upgrade your database schema:

`/path-to-eventum/misc/upgrade/v1.3_to_v1.3.1/database_changes.php`

Upgrading from version 1.2.2 to 1.3
-----------------------------------

For the upgrade from release 1.2.2 to 1.3, there's a set of scripts in the following directory that will upgrade your database schema:

`/path-to-eventum/misc/upgrade/v1.2.2_to_v1.3/`

Run the scripts in the following order:

1.  database_changes.php
2.  fix_priorities.php
3.  set_email_issue_id.php
4.  update_canned_responses.php
5.  fix_last_action_date_fields.php

Upgrading from version 1.2.1 to 1.2.2
-------------------------------------

For the upgrade from release 1.2.1 to 1.2.2, there's a set of scripts in the following directory that will upgrade your database schema:

`/path-to-eventum/misc/upgrade/v1.2.1_to_v1.2.2/`

Run the scripts in the following order:

1.  database_changes.php
2.  fix_email_bodies.php

Upgrading from version 1.2 to 1.2.1
-----------------------------------

No changes necessary.

Upgrading from version 1.1 to 1.2
---------------------------------

For the upgrade from release 1.1 to 1.2, there's a set of scripts in the following directory that will upgrade your database schema:

`/path-to-eventum/misc/upgrade/v1.1_to_v1.2/`

Run the scripts in the following order:

1.  database_changes.php
2.  set_support_email_usr_id.php

If you find any problems while upgrading, please email us in the mailing lists described in the README file.